<div id="top_of_dialog">
	<strong>Nuova configurazione</strong>
</div>

<div style="margin-top: 15px">
	<div class="contentsDiv marginLeftZero" id="rightPanel">
		<form autocomplete="off">
		<div class="listViewPageDiv">

			<div class="listViewActionsDiv row-fluid">
				<table class="table table-bordered noHoverTable" >
						<thead>
								<tr></tr>
						</thead>
						<tbody>
								<tr>
										<td>
											<label>Inizio periodo competenza</label>
										</td>
										<!-- Date Configuration-->

										<td>
											<div class="controls">
												<div class="input-append date dateThresholdFrom" data-date-format="dd-mm-yyyy">
													<input type="text" name="date" ng-model="configuration.validFrom" data-date-time-input="DD-MM-YYYY"
														style="width: 180px; height: 30px"> <span class="add-on" style="height: 30px;"><i
															class="icon-th" style=" margin-top: 0%;"></i></span>                                                      
											  <script type="text/javascript">
													$(".dateThresholdFrom")
														.datepicker(
															{
																format : 'dd-mm-yyyy',
																language : 'it',
																viewMode : "days",
																minViewMode : "days",
																orientation : "bottom auto",
																autoclose : "true"
															});
												</script>
												</div>
										</td>
									</tr>
									<tr>
											<td>
												<label>Fine periodo competenza</label>
											</td>
											<!-- Date Configuration-->

											<td>
												<div class="controls">
													<div class="input-append date dateThresholdFrom" data-date-format="dd-mm-yyyy">
														<input type="text" name="date" ng-model="configuration.validTo" data-date-time-input="DD-MM-YYYY"
															style="width: 180px; height: 30px"> <span class="add-on" style="height: 30px;"><i
																class="icon-th" style=" margin-top: 0%;"></i></span>                                                      
												  <script type="text/javascript">
														$(".dateThresholdTo")
															.datepicker(
																{
																	format : 'dd-mm-yyyy',
																	language : 'it',
																	viewMode : "days",
																	minViewMode : "days",
																	orientation : "bottom auto",
																	autoclose : "true"
																});
													</script>
													</div>
											</td>
										</tr>
							<tr ng-repeat="setting in configuration.settings">
								<td>
									<label>{{setting.label}}</label>
								</td>
								    <!-- String Configuration -->
									<td ng-show="setting.valueType=='String'" ></span> 
										<input type="text"
										ng-show="configuration.active==true"
										name="number-input-{{subConf.key}}-{{setting.key}}"
										class="form-control text-center" ng-model="setting.value"
										style="height: 25px;">
										<input type="text" ng-show="configuration.active==false"
											name="number-input-{{subConf.key}}-{{setting.key}}"
											class="form-control text-center" ng-model="setting.value"
											readonly style="height: 30px; width: 180px">
										<span>
									</td>
									<td ng-show="setting.settingType=='threshold'">
										<div style="width: 90%;">
										<select ng-model="setting.relation" required
											md-no-asterisk="false" style="width:40px; height:30px; float: left;">
											<option value="GTE" style="font-weight: 100;"> &ge; </option>
											<option value="GT" style="font-size: 150;"> &gt; </option>
											<option value="LTE" style="font-weight: 100;"> &le; </option>
											<option value="LT" style="font-size: 150;"> &lt; </option>
										</select>
										<input type="text" class="form-control"
										ng-model="setting.value" style="height:30px; float: left; width:167px;">
									</div>
									</td>

								<!-- Boolean Configuration -->
								<td
									ng-show="setting.valueType=='Boolean' && setting.settingType=='key_value'">
									</md-switch>
									<md-switch  class="md-primary"
										ng-model="setting.value" style="margin:0px"
										aria-label="setting.value">
									</md-switch>
								</td>
							</tr>
						</tbody>
				</table>
			</div>
		</div>
	</div>	
	
</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button autofocus type="button" class="btn addButton" ng-click="cancel()">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;
					<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				 <button type="button" class="btn addButton" ng-click="saveConfiguration()" >
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>  
			</td>
		</tr>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
